{
  imports = [
    ./hardware-configuration.nix
  ];

  # Required for the lish console
  boot.kernelParams = ["console=ttyS0,19200n8"];

  boot.loader = {
    # Timeout to allow lish to connect
    timeout = 10;

    grub = {
      device = "nodev";
      extraConfig = ''
        serial --speed=19200 --unit=0 --word=8 --parity=no --stop=1;
        terminal_input serial;
        terminal_output serial;
      '';
    };
  };
}
